#carta_bebidas_img_fondo {
    background-color: #2f476240;
    background-size: cover;
    background-position: center;
    position: relative;
    padding: 20px;
}

#carta_bebidas_img_fondo .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(47, 71, 98, 0.15);
    z-index: 0;
}

#carta_bebidas_img_fondo .container {
    position: relative;
    z-index: 1;
}

#carta_bebidas_img_fondo .hoja_blanca {
    background-color: #efefef;
    border-radius: 10px;
    position: relative;
    z-index: 1;
}

#carta_bebidas_img_fondo .anadir_carrito {
    font-size: 1em;
}

#carta_bebidas_img_fondo .anadir_carrito:hover {
    color: #333 !important;
    padding: 5px;
}

#carta_bebidas_img_fondo .fondo_carta {
    /*background-image: $fondo_interior;*/
    background-repeat: repeat;
    padding: 0 0 50px 0;
}





#carta_bebidas_img_fondo .zona_areas {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

#carta_bebidas_img_fondo .zona_areas .btn {
    text-transform: uppercase;
    font-size:12px;
}


#carta_bebidas_img_fondo .bot_area {
    position: relative;     /* Necesario para la línea vertical */
    padding: 6px 15px;
    margin:4px;
    color:#fff  ;       /* Quitamos márgenes automáticos */
    cursor: pointer;
    font-size: 16px;
    letter-spacing: 1px;
    text-align: center;
    transition: all 1s linear;
    border-radius: 10px;
}




#carta_bebidas_img_fondo .titular_bloque {
    font-size: clamp(2em, 4vw, 3.5em);
    text-transform: uppercase;
    line-height: 90%;
    font-weight: 500;
    text-align: center;
}

#carta_bebidas_img_fondo .titular_bloque::after {
    content: '';
    display: block;
    width: 150px;
    height: 15px;
    margin: 14px auto 17px;
    background-color: #9ac9d5; /* aquí controlas el color */
    -webkit-mask-image: url("../img/onda_adorno.svg");
    mask-image: url("../img/onda_adorno.svg");
    mask-size: contain;
    -webkit-mask-size: contain;
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    mask-position: center;
    -webkit-mask-position: center;
}




#carta_bebidas_img_fondo section.compensacion_ancla {
    padding-top: 3rem;
}
#carta_bebidas_img_fondo h3.subcategoria {

    font-size: clamp(1.6rem, 1rem + 2vw, 2.3rem);
    font-weight: 400;
    text-align: center;

}
#carta_bebidas_img_fondo .subcategoria.pt-lg-5:first-child{padding-top: 0px!important;}

#carta_bebidas_img_fondo h4 {
  
    font-size: clamp(1.3rem, 1rem + 2vw, 1.8rem);
    font-weight: 600;
    color: #6e949e;
    text-align: center;
   
    
}



#carta_bebidas_img_fondo .nombre_bebida {
    font-size:clamp(1.1rem, 0.89rem + 0.24vw, 1.188rem);
    line-height: 110%;
    color:#333;

}



#carta_bebidas_img_fondo .bloque_bebida .descripcion_articulo,
#carta_bebidas_img_fondo .bloque_bebida .clase_vino{
    font-size: 14px;
    line-height: 100%;
    margin-top: 3px;
    padding-bottom: 5px;
    color: #ccc;
}

#carta_bebidas_img_fondo .bloque_bebida .descripcion_articulo{
    margin-left: -15px;
}

#carta_bebidas_img_fondo .bloque_bebida .descripcion_articulo p {
    margin-bottom: 0;
}

#carta_bebidas_img_fondo .precio_bebida {

    color: #000;

    padding: 3px 5px;
    font-weight: 600;
    margin-top: 13px;
}

#carta_bebidas_img_fondo .prec_vino{
    color: #000;
    font-size: clamp(0.938rem, 0.926rem + 0.06vw, 1rem);
    text-align: right;
    justify-content: flex-end;
    padding-left: 5px;
}

#carta_bebidas_img_fondo .prec_vino .pek {
    font-size: 12px !important;
    text-transform: uppercase;
    font-weight: 400;
    padding-right: 5px;
    padding-top: 3px;
    color:#345276;
}
#carta_bebidas_img_fondo .bloque_bebida{position: relative;}
#carta_bebidas_img_fondo .bloque_bebida:after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    border-bottom: 1px dashed #ccc; /* línea discontinua */}

#carta_bebidas_img_fondo .bloque_precios {
    text-align: right;
    padding: 0px;

}

#carta_bebidas_img_fondo .lista_platos {

    margin: 0px 10%;
}

#carta_bebidas_img_fondo .texto_iva {
    text-align: center;
    color: #666;
    padding-top: 40px;
}
#carta_bebidas_img_fondo .compensacion_ancla {
    scroll-margin-top: 100px;
}

@media (width <= 991.98px) {
    #carta_bebidas_img_fondo .compensacion_ancla {
        scroll-margin-top: 20px;
    }
}

#carta_bebidas_img_fondo .compensacion_ancla::before {
    display: block;
    content: " ";
    margin-top: -70px;
    height: 75px;
    visibility: hidden;
}

/*----precios vertical----*/
#carta_bebidas_img_fondo .plato_precios_vertical .menu-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 15px;
}

#carta_bebidas_img_fondo .plato_precios_vertical .menu-item-info { max-width: 70%; }

#carta_bebidas_img_fondo .plato_precios_vertical h3 {
    font-size: clamp(0.9rem, 0.89rem + 2vw, 1.1rem);
    line-height: 105%;
    font-weight: 400;
    margin-bottom: 0;
}

#carta_bebidas_img_fondo .plato_precios_vertical .description { font-size: 1rem; color: #666; margin: 10px 0; }

#carta_bebidas_img_fondo .plato_precios_vertical .menu-item-price { text-align: right; }

#carta_bebidas_img_fondo .plato_precios_vertical .menu-item-price p { font-size: 0.8em; color: #666; margin: 2px; }

#carta_bebidas_img_fondo .plato_precios_vertical .menu-item-price .price {
    color: #000;
    font-size: clamp(0.938rem, 0.926rem + 0.06vw, 1rem);
    text-align: right;
    padding-left: 5px;
}

#carta_bebidas_img_fondo .separator {
    border-bottom: 1px dashed #ccc;
    margin: 0 10px;
    height: 0;
}

/* #Media Queries
================================================== */


/* Extra small devices (portrait phones, less than 576px)*/
@media (width <= 575.98px){

    #carta_bebidas_img_fondo .nombre_plato { font-weight: 500; padding-left: 15px;  text-align: right;    }
    #carta_bebidas_img_fondo .titular_bloque { text-align: center; }
    #carta_bebidas_img_fondo .precios { padding: 2px 5px;    }

    #carta_bebidas_img_fondo .icono_plato { margin-top: -32px;    }

    #carta_bebidas_img_fondo .icono_plato img { width: 18px; text-align: right; }

    #carta_bebidas_img_fondo .media_rac, .rac { padding-right: 15px; }

    #carta_bebidas_img_fondo .raya { margin-top: 0; }

    #carta_bebidas_img_fondo .bloque_plato { margin-bottom: 21px; }

    #carta_bebidas_img_fondo .bot_area { padding: 8px 8px; }


    #carta_bebidas_img_fondo .plato_precios_vertical .menu-item { padding: 10px; flex-direction: column; align-items: flex-start; }
    #carta_bebidas_img_fondo .plato_precios_vertical .menu-item-info { max-width: 100%; }
    #carta_bebidas_img_fondo .plato_precios_vertical h3 { font-size: clamp(0.78rem, 0.7rem + 1.8vw, 1rem); white-space: nowrap; overflow: hidden; text-overflow: ellipsis; }
    #carta_bebidas_img_fondo .plato_precios_vertical .menu-item-price { text-align: right; width: 100%; line-height: 100%; }
    #carta_bebidas_img_fondo .plato_precios_vertical .menu-item-price p { font-size: 0.7em; }
    #carta_bebidas_img_fondo .separator { width: 100%; margin: 3px 0 15px 0; }

}

/* Small devices (landscape phones, 576px and up)*/
@media (576px <= width <= 767.98px) {

    #carta_bebidas_img_fondo .titular_bloque { text-align: center; }
    #carta_bebidas_img_fondo .icono_plato img { width: 18px; text-align: right; }

    #carta_bebidas_img_fondo .media_rac, .rac { padding-right: 15px; }

    #carta_bebidas_img_fondo .raya { margin-top: 0px; }

    #carta_bebidas_img_fondo .bloque_plato { margin-bottom: 21px; }

    #carta_bebidas_img_fondo .bot_area { padding: 8px 8px; }
    #carta_bebidas_img_fondo .plato_precios_vertical .menu-item { flex-direction: column; align-items: flex-start; }
    #carta_bebidas_img_fondo .plato_precios_vertical .menu-item-info { max-width: 100%; }
    #carta_bebidas_img_fondo .plato_precios_vertical .menu-item-price { text-align: right; width: 100%; line-height: 100%; }
    #carta_bebidas_img_fondo .plato_precios_vertical .menu-item-price p { font-size: 0.7em; }
    #carta_bebidas_img_fondo .separator { width: 100%; margin: 3px 0; }

}

/* Medium devices (tablets, 768px and up)*/
@media (768px <= width <= 991.98px) {

}
/* Medium devices (tablets, 768px and up)*/
@media (768px <= width <= 991.98px) and (orientation: portrait) {

}


/* Large devices l (desktops, 992px and up)*/
@media (992px <= width <= 1199.98px) {
#carta_bebidas_img_fondo .compensacion_ancla:before{height: 100px;}
}
/* Large devices l (desktops, 992px and up)*/
@media (992px <= width <= 1199.98px)  and (orientation: portrait)  {
    #carta_bebidas_img_fondo .compensacion_ancla:before{height: 100px;}
}


/* Extra large devices xl(large desktops, 1200px and up)*/
@media (1200px <= width <= 1399px) {

    #carta_bebidas_img_fondo .compensacion_ancla:before{height: 115px;}
}
/* Extra large devices xl(large desktops, 1400px and up)*/
@media (width >= 1400px){
    #carta_bebidas_img_fondo .compensacion_ancla:before{height: 115px;}

}

